Name: x11-driver-video-siliconmotion
Version: 1.7.9
Release: %mkrel 9
Summary: X.org driver for Silicon Motion Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-siliconmotion-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

ExclusiveArch: %ix86 x86_64

%description
x11-driver-video-siliconmotion is the X.org driver for Silicon Motion Cards.

%prep
%setup -q -n xf86-video-siliconmotion-%{version}
%autopatch -p1

%build
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/siliconmotion_drv.so
%{_mandir}/man4/siliconmotion.*




%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.7.9-9.mga9
+ Revision: 1838015
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.7.9-8.mga9
+ Revision: 1751719
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Wed Mar 11 2020 daviddavid <daviddavid> 1.7.9-7.mga8
+ Revision: 1555459
- only build on x86 x86_64

* Fri Feb 14 2020 umeabot <umeabot> 1.7.9-6.mga8
+ Revision: 1518561
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.7.9-5.mga7
+ Revision: 1301769
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.7.9-4.mga7
+ Revision: 1238659
- add aarch64 to excluded arches due to FTBFS

* Thu Jun 21 2018 wally <wally> 1.7.9-3.mga7
+ Revision: 1238590
- fix build on aarch64
- drop .la files
- use new make macros
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.7.9-2.mga7
+ Revision: 1207720
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 1.7.9-1.mga6
+ Revision: 1082232
- new release

* Thu Nov 17 2016 tv <tv> 1.7.8-7.mga6
+ Revision: 1067901
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.7.8-5.mga6
+ Revision: 1043287
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.7.8-4.mga6
+ Revision: 963405
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.7.8-3.mga6
+ Revision: 902312
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.7.8-2.mga6
+ Revision: 902063
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 1.7.8-1.mga6
+ Revision: 837460
- drop merged patches
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.7.7-11.mga5
+ Revision: 740686
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.7-10.mga5
+ Revision: 690454
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.7.7-9.mga5
+ Revision: 635051
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.7.7-8.mga5
+ Revision: 633696
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.7.7-7.mga5
+ Revision: 614386
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.7.7-6.mga5
+ Revision: 582340
- patch 1: fix build with latest X.org server

* Tue Dec 10 2013 tv <tv> 1.7.7-5.mga4
+ Revision: 556108
- patch 1: fix build with latest X.org server
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.7.7-4.mga4
+ Revision: 433198
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.7.7-3.mga4
+ Revision: 386023
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.7.7-2.mga3
+ Revision: 288973
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.7.7-1.mga3
+ Revision: 273812
- new release

* Wed Jun 06 2012 tmb <tmb> 1.7.6-3.mga3
+ Revision: 256484
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.7.6-2.mga3
+ Revision: 253022
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.7.6-1.mga3
+ Revision: 249931
- new release

* Tue Dec 06 2011 tmb <tmb> 1.7.5-4.mga2
+ Revision: 177666
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.7.5-3.mga2
+ Revision: 153131
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.7.5-2.mga1
+ Revision: 64413
- rebuild for new xserver-1.10

* Tue Mar 01 2011 tv <tv> 1.7.5-1.mga1
+ Revision: 62111
- new release

* Fri Feb 11 2011 tmb <tmb> 1.7.4-3.mga1
+ Revision: 50294
- imported package x11-driver-video-siliconmotion


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.7.4-3mdv2011.0
+ Revision: 595735
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.7.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Wed Apr 28 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.4-1mdv2010.1
+ Revision: 540405
- New version: 1.7.4
- Use %%configure2_5x
- Don't need to autoreconf

* Wed Aug 05 2009 Thierry Vignaud <tv@mandriva.org> 1.7.3-1mdv2010.0
+ Revision: 410244
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.7.2-1mdv2010.0
+ Revision: 391931
- update to new version 1.7.2

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.7.1-1mdv2010.0
+ Revision: 369181
- New version 1.7.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 321389
- New version 1.7.0
- Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.6.0-3mdv2009.1
+ Revision: 308242
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.6.0-2mdv2009.0
+ Revision: 265930
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 1.6.0-1mdv2009.0
+ Revision: 212432
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.1-4mdv2009.0
+ Revision: 194158
- Update to version 1.6.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.1-4mdv2008.1
+ Revision: 166109
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.5.1-3mdv2008.1
+ Revision: 156619
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.1-2mdv2008.1
+ Revision: 154795
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to properly generate the tarball from tag
  xf86-video-siliconmotion-1.5.1, and also include some patches considered
  ok, but without hardware to test, and the previously created mandriva
  branch was not moved.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.5.1-1mdv2008.1
+ Revision: 99032
- new upstream version: 1.5.1
- minor spec cleanup

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdv2008.0
+ Revision: 75786
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

